@use 'utils'
@use 'parts'

@use "utils/_mixins/vars" as *
@use "utils/_mixins/media" as *
@use "utils/theme" as *

html, body
  font-size: 16px
body
  font-family: light, sans-serif
  font-size: 16px
  color: $text

article, aside, details, figcaption, figure, footer, header, main, menu, nav, section, summary
  display: block

.main
  +themed()
    background-color: t(bg)
    color: t(text)
  padding: px2em(30) 0
  +desktop()
    padding: px2em(20) 0

.sp--row
  display: flex
  flex-wrap: wrap
  align-items: stretch
  [class*="sp--row-"]
    float: left
    position: relative
    margin: 0
  &-3
    width: calc(100% / 3)
    +tablet()
      width: calc(100% / 2)
    +phone()
      width: 100%
  &-2
    width: calc(100% / 2)

.page-header
  &-wrap
    padding: 2em 0 4em  0
    +phone()
      padding: 0 0 .5em 0
    +tablet()
      padding: 0 0 1em  0
  &__title
    font-size: 3em
    line-height: 1.2
    width: 75%
    font-family: medium, sans-serif
    font-weight: 500
    +tablet()
      width: 100%
      font-size: 2.5em
    +phone()
      font-size: 1.5em
  &-internal
    width: 100%
    ul
      display: flex
      flex-wrap: wrap
      +tablet()
        font-size: 13px
      +phone()
        font-size: 12px
      li
        font-size: px2em(19)
        font-family: medium, sans-serif
        margin-right: 1rem
        margin-bottom: .9rem
        border-bottom: 3px solid transparent
        +tablet()
          margin-bottom: .7rem
        &:hover
          color: $primary
          border-color: $primary
        &.active
          color: $primary
          border-color: $primary


